Skip to main content

Get Assigned Users

Fetch the user-lead mapping for a specific lead within a campaign. Returns which agents are assigned and unassigned, useful for managing agent workload distribution.

Endpoint​

GET https://{Cms_Domain_Name}:{port}/cms/configuration/cc/{contactCenterId}/process/{processId}/campaign/{campaignId}/lead-user

Authentication​

HeaderValue
Content-Typeapplication/json
Acceptapplication/json
AuthorizationBasic {AuthToken}
note

This endpoint uses Basic authentication (Base64-encoded username:password).

Path Parameters​

ParameterTypeRequiredDescription
contactCenterIdIntegerYesContact center ID
processIdIntegerYesProcess ID
campaignIdIntegerYesCampaign ID

Query Parameters​

ParameterTypeRequiredDescription
leadIdIntegerYesLead identifier to look up assignments for
limitIntegerYesNumber of records to fetch
offsetIntegerYesPagination offset

Sample Request​

curl -X 'GET' \
'https://{Cms_Domain_Name}:{port}/cms/configuration/cc/1/process/1/campaign/1/lead-user?leadId=2&limit=100&offset=0' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic {AuthToken}'

Sample Response​

{
"campaignLeadId": 1,
"assignedCampaignUserIds": [1],
"unassignedCampaignUserIds": [3817, 3802],
"leadId": 2,
"campaignId": 1,
"assignedUserIds": ["anav_agent"],
"unassignedUserIds": ["madhur1", "exe_gs"]
}

Response Fields​

FieldTypeDescription
campaignLeadIdIntegerCampaign-lead mapping ID
assignedCampaignUserIdsArray<Integer>Internal IDs of currently assigned campaign users
unassignedCampaignUserIdsArray<Integer>Internal IDs of unassigned campaign users
leadIdIntegerLead identifier
campaignIdIntegerCampaign identifier
assignedUserIdsArray<String>User IDs (usernames) of assigned agents
unassignedUserIdsArray<String>User IDs (usernames) of unassigned agents

Error Responses​

Status CodeDescription
400Bad Request — Missing required query parameters
401Unauthorized — Missing or invalid credentials
403Forbidden — Insufficient permissions
404Not Found — Lead, campaign, or process does not exist
500Internal Server Error
{
"statusCode": 404,
"status": "Not Found",
"errorCode": "CONF-1001",
"errorMessage": "Object doesn't exist"
}